<?php
// +----------------------------------------------------------------------
// | yershop网店管理系统
// +----------------------------------------------------------------------
// | Copyright (c) 2018 http://www.yershop.com All rights reserved.
// +----------------------------------------------------------------------
// | 版权申明：yershop网店管理系统不是一个自由软件，是贝云网络官方推出的商业源码，严禁在未经许可的情况下
// | 拷贝、复制、传播、使用yershop网店管理系统的任意代码，如有违反，请立即删除，否则您将面临承担相应
// | 法律责任的风险。如果需要取得官方授权，请联系官方http://www.yershop.com
// +----------------------------------------------------------------------
namespace app\admin\controller;
use think\Controller;
use think\Db;
/**
 * 后台积分商品控制器
 */
class ScoreGoods extends Home{
     /* 积分商品查询首页 */
	public function index(){     
      if($_POST){
			foreach ($_POST as $key=>$value){
				if($value){
					$map[]  = [$key,'like', '%'.$value.'%'];
				 }
			}
        }
        $map=isset($map)?$map:'';
        $res=getLists('ScoreGoods',$map,10,'id desc',"");
	    $this->assign('res', $res);
		$this->meta_title="积分商品管理";
		$this->assign('meta_title', $this->meta_title);
	    return $this->fetch("scoregoods/index"); 
	}

    public function change(){   
		$map['id']=input("id");
	     if(input("status")){
			  $data["status"]=input("status");
		}else{
			   $data["status"]=0;
		}	
            /* 获取数据 */
        $res=db('score_goods')->where($map)->update($data);  
		if($res){
		   $this->success("操作成功！");
		}else{
			 $this->success("操作失败！");
		}     
	}
    /* 编辑积分商品 */
	public function edit($id){   
	    if($_POST){
		   $ScoreGoods = new \app\admin\model\ScoreGoods;
           $res=$ScoreGoods->allowField(true)->validate(true)->save($_POST,['id' => $_POST['id']]);
	       if($res){
			   addUserLog("edit_scoregoods",session_uid());
		      $this->success("更新成功！",cookie("__forward__"));
		   }else{
			  $error=$ScoreGoods->getError()?$ScoreGoods->getError():"更新失败！";
			  $this->error($error);
		   } 
	   }
	   else{
		 $map['id']=$id;
		 $info=db("ScoreGoods")->where($map)->find();
	     $this->assign('info', $info);
		 unset($map);
		 $map['status']=1;
		 $list =db('score_type')->where($map)->select(); 
	     $this->assign('list', $list);;
		 cookie("__forward__",input('server.HTTP_REFERER'));
		 $this->meta_title="编辑积分商品";
		 $this->assign('meta_title', $this->meta_title);
	     return $this->fetch("scoregoods/edit");
	   }
	}
	 /* 增加积分商品 */
	public function add($id=""){  
	   if($_POST){
		  $ScoreGoods = new \app\admin\model\ScoreGoods;
            // 过滤post数组中的非数据表字段数据
          $res=$ScoreGoods->validate(true)->allowField(true)->save($_POST);
	      if($res){
			  addUserLog("add_scoregoods",session_uid());
		      $this->success("新增成功！",cookie("__forward__"));
		  }else{
			  $error=$ScoreGoods->getError()?$ScoreGoods->getError():"新增失败！";
			  $this->error($error);
		  } 
	 }
	  else{
		if(input("type_id")){
			$info["type_id"]=input("type_id");
			 $this->assign('info', $info);
		}
		 unset($map);
		 $map['status']=1;
		 $list =db('score_type')->where($map)->select(); 
	     $this->assign('list', $list);;
		  $this->meta_title="新增积分商品";
		    cookie("__forward__",input('server.HTTP_REFERER'));
		  $this->assign('meta_title', $this->meta_title);
	      return $this->fetch("scoregoods/edit");
	  }
	}
	 /* 删除积分商品*/
	public function del(){   
	    $id=input("id");
	    $map['id']=["in",$id];
		if(!$map["id"]){
			 $this->error("未选择数据！");
		}
		
		$res=db("scoregoods")->where($map)->delete();
		
		if($res){
		   addUserLog("del_scoregoods",session_uid());
		   $this->success("删除成功！");
		}else{
	           $this->error("删除失败！");
		}
	}
	
}
